#------------------------------------------------------------------------------#
# This function utilizes the 'fkf' package to calculate and return the 
# log likelihood value.
#------------------------------------------------------------------------------#

fastloglike <- function(SSlist,Dframe, initial_alpha, P_00) {
   ans <- fkf(a0 = initial_alpha, P0 = P_00, dt = SSlist$dt, ct = SSlist$ct, Tt = SSlist$Tt,
              Zt = SSlist$Zt, HHt = SSlist$HHt, GGt = SSlist$GGt, yt = t(as.matrix(Dframe)))
  return(ans$logLik)
 }
