#------------------------------------------------------------------------------#
# This function feeds the parameter values into the state space model and 
# passes them along to the 'kalmancal.R' function.
#------------------------------------------------------------------------------#

fastkalman<-function(theta,X,initial_alpha, P_00,l,model_type) {
  SSmod <- ssmodel(theta,l,model_type)
  return(kalmancal(SSmod,X,initial_alpha, P_00))
}



